'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Overlay = undefined;

var _systemComponents = require('system-components');

var _systemComponents2 = _interopRequireDefault(_systemComponents);

var _utils = require('./utils');

var _index = require('./index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Overlay = exports.Overlay = (0, _systemComponents2.default)({
  is: _index.Fixed,
  top: '50%',
  left: '50%',
  p: 3,
  bg: 'white',
  borderRadius: 2,
  maxWidth: '100vw',
  maxHeight: '100vh',
  boxShadow: '0 0 0 60vmax ' + (0, _utils.darken)(1 / 2) + ', 0 0 32px ' + (0, _utils.darken)(1 / 4)
}, {
  overflow: 'auto',
  transform: 'translate(-50%, -50%)'
}, 'width', _utils.maxWidth, _utils.maxHeight);
Overlay.displayName = 'Overlay';

exports.default = Overlay;